<!DOCTYPE html>
<html lang="en">
<head>
    <meta charset="UTF-8">
    <meta name="viewport"
          content="width=device-width, user-scalable=no, initial-scale=1.0, maximum-scale=1.0, minimum-scale=1.0">
    <meta http-equiv="X-UA-Compatible" content="ie=edge">
    <title>everything work out in the end</title>
    <link rel="stylesheet" href="labs_09.css">
</head>
<body>
<dialog id="modal">
    <h1>Hello World! because I love stereotypes</h1>
    <button id="close-btn">Close dialog windows</button>
</dialog>
<button id="open-btn">Open dialog windows</button>
</body>
<p><span>Lorem ipsum dolor sit amet, consectetur adipisicing elit. Blanditiis est libero obcaecati tenetur ullam veniam. Aliquid, asperiores aut autem distinctio fugit ipsa ipsum, magnam minima optio praesentium provident, rem tempora.</span><span>Adipisci animi architecto dolor doloremque, dolores ea expedita fugit ipsa iure libero minima mollitia necessitatibus, nostrum quidem quisquam recusandae, rem repudiandae soluta tempora veritatis. Deleniti doloribus et in voluptas voluptates.</span><span>Blanditiis, consequuntur deleniti facilis libero mollitia quas soluta? Alias assumenda commodi dignissimos dolore dolores eligendi excepturi ipsum iure labore, magni minus, odio praesentium, quam quis ratione repellendus velit. Est, fugit?</span><span>Dolorem doloremque excepturi fugit impedit laudantium mollitia optio quaerat repudiandae sequi, velit. Animi eos magni nemo, nihil nobis praesentium sunt? Accusamus at vitae voluptas voluptatum. Corporis ea est laborum ut.</span><span>Ad aliquid amet animi assumenda, consequatur corporis dolore ducimus est, exercitationem impedit ipsa ipsam itaque maiores nam officia provident quis quisquam quod ratione repellat repellendus reprehenderit repudiandae sequi sit suscipit.</span><span>Accusantium ad adipisci at beatae consectetur delectus dolor dolorem esse expedita fugiat iste iure laudantium maxime modi nam nemo nihil nostrum possimus quasi, quia quidem repellendus repudiandae sit ullam voluptate?</span><span>A amet aspernatur consectetur culpa dignissimos, dolorem doloremque dolores fugit labore laboriosam libero magnam maxime molestias nam nostrum obcaecati optio perspiciatis quo recusandae repellat saepe similique soluta sunt suscipit ullam.</span><span>A ab ad alias architecto aut beatae dolor dolorum, et eveniet facere fuga hic impedit in ipsa iusto maiores nam natus nihil, nisi odio, omnis provident quo reprehenderit voluptatibus voluptatum!</span><span>Accusamus aliquam consequuntur ex fuga id neque numquam perspiciatis quod vel, voluptas! Architecto asperiores aspernatur commodi consectetur delectus distinctio eligendi, eum facilis minima nemo neque qui sequi tempore voluptas voluptatum.</span><span>Aliquam aperiam culpa delectus deleniti, incidunt itaque mollitia neque quaerat quod quos ratione tenetur vel vero? Animi cum dicta dolor ducimus exercitationem libero, magni mollitia neque optio provident quas quidem.</span><span>Deleniti dignissimos est ipsum nostrum ratione temporibus, ut. Ab aliquam amet error explicabo fugiat labore, modi nihil perferendis quas qui quibusdam quos, reiciendis rerum sunt, tempora vel voluptate. Autem, quis?</span><span>Alias aliquam aliquid architecto at autem consectetur consequuntur, culpa cupiditate delectus dignissimos doloremque eius eligendi eos explicabo facere laboriosam maiores natus odit officiis placeat quae quos ratione soluta tenetur totam.</span><span>Accusamus accusantium aliquid architecto cum debitis dolore, esse est exercitationem fugiat incidunt labore libero magni mollitia necessitatibus nemo officiis quam quibusdam quis rem sed tempora temporibus totam unde vitae voluptate.</span><span>Ab accusantium aut commodi dolore enim fugiat iusto magnam maiores, quod, sit, tenetur voluptates. Culpa eius eligendi exercitationem fugit ipsa laboriosam libero reprehenderit veniam voluptas voluptates? Accusamus animi nihil rerum.</span><span>Aspernatur culpa cupiditate incidunt laborum maiores minima neque recusandae reiciendis? Aliquam cum deleniti explicabo magni non possimus tempora veniam vero. Aspernatur assumenda corporis dicta dolores excepturi ipsam recusandae vel, velit!</span><span>At eius explicabo incidunt ipsa soluta? Ab aut dolores quam recusandae. Accusamus, consectetur cum eligendi error est expedita harum nemo neque pariatur placeat quibusdam, recusandae repellendus rerum suscipit tempore voluptates.</span><span>Aliquam consequuntur, earum esse excepturi hic id non nulla porro, provident rem repellendus veniam voluptatibus? Alias aut beatae culpa ipsum labore molestias optio perspiciatis placeat possimus, quae quas quos, sunt.</span><span>Cumque dolor eos laudantium officiis praesentium, quo. Consectetur deserunt dolore excepturi inventore ipsum itaque laudantium nam necessitatibus nostrum numquam officiis porro possimus, praesentium qui, ratione recusandae reprehenderit similique temporibus ut.</span><span>A amet, architecto asperiores at commodi dicta doloremque dolorum et eveniet, ex illum ipsa libero maiores minima minus neque quo quos vitae, voluptatem voluptates. Dolor et harum laboriosam maxime voluptatibus?</span><span>Animi assumenda beatae corporis culpa, cum dignissimos, dolorum eaque eligendi enim et fugiat hic illo labore maiores maxime minima molestias mollitia natus pariatur provident quibusdam, quis repellendus tenetur voluptate voluptatibus.</span></p>
<script>
    const modalElement =document.getElementById("modal");
    const openBtn = document.getElementById("open-btn");
    const closeBtn = document.getElementById("close-btn");
    // close dialog windows use method close
    openBtn.addEventListener("click", () => {
        modalElement.showModal();
        document.body.classList.add("scroll-lock")
    });

    closeBtn.addEventListener("click", () => {
        modalElement.close();

        document.body.classList.remove("scroll-lock")
    });

</script>
</html>
